<?php 
if ((isset($detjsidang)) and (!empty($detjsidang)) and ($detjsidang!='')){
	foreach ($detjsidang as $row){
?>
<script src="<?php echo base_url();?>resources/js/jquery.ui.timepicker.js"></script>
		<div class="centering" style="width:800px;margin-top: 1%;">
		<div id='edit_jadwal_sidang' style="border: 1px solid #ffffff;">
			<div class="detil" style="padding: 2px;background-color: white;">
				<form id="frm_edit_jadwal_sidang" style="background:white;margin:0;" method="post" action="<?php echo base_url().'jadwal_sidang_c/validateEdit';?>">
					<table id="tableDetilPerkara" style="font-size:14px;">
						<col width="20%">
						<col width="80%">
						<tbody>
							<tr>
								<td colspan="2" class="header">Edit Jadwal Sidang</td>
							</tr>
							<tr>
								<td>Tanggal<span style="color:red">*</span></td>
								<td><?php 
										$tanggalnya=$this->tanggalhelper->convertToInputDate($row->tanggal_sidang);
										if ($row->urutan=='1') { 
											echo $this->tanggalhelper->convertDayDate($row->tanggal_sidang); 
											echo "<input type='hidden' name='tgl_sidang' id='tgl_sidang' value='$tanggalnya'>";
										}else { 
											echo "<input type='text' id='tgl_sidang' name='tgl_sidang' class='datepicker' maxlength='10' placeholder='tgl/bln/tahun' value='$tanggalnya')";
										}
									?>
								</td>
							</tr>
							<tr>
								<td>Jam Pelaksanaan<span style="color:red">*</span></td>
								<td>
		                       		<input id="jammulai" name="jammulai" value="<?php echo substr($row->jam_sidang,0,5); ?>" class="timepicker" maxlength="4" placeholder="HH:mm">&nbsp;s/d&nbsp;<input id="jamselesai" name="jamselesai" value="<?php echo substr($row->sampai_jam,0,5); ?>" class="timepicker" maxlength="4" placeholder="HH:mm">
								</td>
							</tr>
							<tr>
								<td>Agenda<span style="color:red">*</span></td>
								<td style="padding:0px;padding-left:5px;">
									<textarea name="agenda" id="agenda" maxlength="500" class="standard-input" style="margin: 0px; width: 610px; height: 90px;resize: none;"><?php echo "$row->agenda";?></textarea>
								</td>
							</tr>
							<tr>
								<td>Dihadiri Oleh</td>
								<td>
									<span class="custom-dropdown custom-dropdown--emerald" style="width:200px">
										<select name="dihadiri_oleh" id="dihadiri_oleh" style="width:200px" class="custom-dropdown__select custom-dropdown__select--white">
											<option value="1" <?php echo ($row->dihadiri_oleh==1)? 'selected':''; ?>>Semua Pihak</option>
											<option value="2" <?php echo ($row->dihadiri_oleh==2)? 'selected':''; ?>><?php echo $this->nativesession->getStatusPihak(10,$id_alur_perkara,1);?> Saja</option>
											<?php 
											if($id_alur_perkara<100 OR $id_alur_perkara==119){
												echo '<option value="3"';
												echo ($row->dihadiri_oleh==3)? 'selected':'';
												echo '>';echo $this->nativesession->getStatusPihak(10,$id_alur_perkara,2); echo ' Saja</option>';
											}
											?>
											<option value="4" <?php echo ($row->dihadiri_oleh==4)? 'selected':''; ?>>Para Pihak Tidak Hadir</option>
										</select>
									</span>
								</td>
							</tr>
							<tr>
								<td>Sidang Keliling</td>
								<td style="padding:0px;padding-left:5px;">
									<span class="custom-dropdown custom-dropdown--emerald" style="width:80px">
										<select name="sidang_keliling" id="sidang_keliling" style="width:80px" class="custom-dropdown__select custom-dropdown__select--white">
											<option value="T" <?php echo ($row->sidang_keliling=='T')? 'selected' :'' ?>>Tidak</option>
											<?php if ($id_alur_perkara!=119){ ?>
											<option value="Y" <?php echo ($row->sidang_keliling=='Y')? 'selected' :'' ?>>Ya</option>
											<?php } ?>
										</select>
									</span>
								</td>
							</tr>
							<tr class="row_ruangan">
								<td>Ruangan</td>
								<td style="background:white;">

								<?php
								if (!empty($ruangansidang) || $ruangansidang!=''){
									?>
									<span class="custom-dropdown custom-dropdown--emerald" style="width:200px">
										<select name="ruangan" id="ruangan" style="width:200px" class="custom-dropdown__select custom-dropdown__select--white">
											<?php
												foreach ($ruangansidang as $rowrs){
													$id=$rowrs->id;
													$ruangan=$rowrs->nama;
													$data_ruangan=$id."|".$ruangan;
													if ($rowrs->id==$row->ruangan_id){
														echo "<option selected value='$data_ruangan' >$rowrs->nama</option>";
													}
													else{
														echo "<option value='$data_ruangan'>$rowrs->nama</option>";
													}
												}
											?>
										</select>
									</span>
									<?php
									}else{
										echo "<span style='color:red;font-weight:bold'>Referensi Ruang Sidang Belum Ada</span>";
									}
									?>
								</td>
							</tr>
							<tr>
								<td>Keterangan</td>
								<td style="background:white; padding:0px;padding-left:5px;">
									<?php $encjadwalsidang=base64_encode($this->encrypt->encode($row->id));?>
									<input type="hidden" name="encjadwalsidang" id="encjadwalsidang" value="<?php echo $encjadwalsidang; ?>">
									<input type="hidden" name="enc" id="enc" value="<?php echo $enc; ?>">
									<input type="hidden" name="curr_date" id="curr_date" value="<?php echo $curr_date; ?>">
									<?php
									if (!empty($tgljsidangsblm)){ ?>
										<input type="hidden" name="tgljsidangsblm" id="tgljsidangsblm" value="<?php echo $tgljsidangsblm; ?>">
									<?php } ?>
									<textarea name="keterangan" id="keterangan" maxlength="500" class="standard-input" style="margin: 0px; width: 610px; height: 90px; resize: none;"><?php echo "$row->keterangan"; ?></textarea>
								</td>
							</tr>
							<tr>
								<td colspan="2" class="buttongroup">									
									<input type="button" id='close_edit_jadwal_sidang' value="Kembali" class="btn">
									<?php
									if ($row->urutan>1 AND $jumverzet!=1){ ?>
										<input type="button" id="hapus" value="Hapus" style="text-decoration:none" class="del_btn">
									<?php }	?>
									<input type="submit" id="simpan" value="Simpan" class="btn">
								</td>
							</tr>
						</tbody>
					</table>
				</form>
			</div>
		</div>
<?php
	}
}
?>
<script type="text/javascript">
<?php if($row->sidang_keliling=='Y'){ ?>
$("tr.row_ruangan").hide();
<?php } ?>

$("#sidang_keliling").change(function(){
    if($(this).val()=="T")
    $("tr.row_ruangan").show();
    else $("tr.row_ruangan").hide();
});

$('#jammulai').timepicker({
    onSelect: function(){ 
	var jammulai1=$('#jammulai').val()
	var jamselesai1=$('#jamselesai').val()
        if (jamselesai1 <= jammulai1) {
        	alert ("Jam Selesai Sidang Tidak Boleh Sama Atau Kurang Dari Jam Mulai Sidang");
		}
    }
});

$('#jamselesai').timepicker({
    onSelect: function(){ 
	var jammulai2=$('#jammulai').val()
	var jamselesai2=$('#jamselesai').val()
        if (jamselesai2 <= jammulai2) {
        	alert ("Jam Selesai Sidang Tidak Boleh Sama Atau Kurang Dari Jam Mulai Sidang");
		}
    }
});

$('#hapus').ButtonClickHandling({
	refresh:'1',
	setRefresh:1,
	divRef:'#konten',
	clicked:1,
	btnClicked:'#close_edit_jadwal_sidang',
	whenStatus:1,
	actions:'<?php echo base_url()?>jadwal_sidang_c/hapus_jadwal_sidang/<?php echo $encjadwalsidang; ?>',
	formName:'#frm_edit_jadwal_sidang',
	actionName:'Hapus Data'
});

$('#frm_edit_jadwal_sidang').SubmitHandling({
	refresh:'1',
	setRefresh:1,
	divRef:'#konten',
	clicked:1,
	btnClicked:'#close_edit_jadwal_sidang',
	whenStatus:1
});

$('#close_edit_jadwal_sidang').closingFormWin();

$('#tgl_sidang').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            beforeShowDay:$.datepicker.noWeekends,
            onSelect: function(dateText, inst) {
            	var error = 0;
				var tmp = $(this).val().split("/");
				var tmp2 = $('#tgljsidangsblm').val().split("-");
				if((new Date(tmp[2],tmp[1],tmp[0]).getTime() <= new Date(tmp2[0],tmp2[1],tmp2[2]).getTime())){
					message = 'Tidak Dapat Memilih Tanggal Sebelum Atau Tepat Pada Tanggal Sidang Sebelumnya';
					error = 1
				}
				dob = new Date(tmp[2],tmp[1],tmp[0]);
				var tglDaftar = new Date($('#tglPendaftaran').val());
				var age = Math.floor((tglDaftar-dob) / (365.25 * 24 * 60 * 60 * 1000));
				if(age >1){
					message = 'Tanggal Tidak Valid. Silahkan Periksa Kembali';
					error = 1
				}
				if(error==1){
					message_error_show(message);
					$(this).css("background-color", "red");
				}else{
					$(this).css("background-color", "#dedbdb");
				}
				error = 0;
        	}
      	});

$('.datepicker').ValidateDateInput();
</script>